Package com.oracle.nosql.spring.data.core.query

# Class NosqlQuery

java.lang.Object
com.oracle.nosql.spring.data.core.query.NosqlQuery

Direct Known Subclasses:
  `CriteriaQuery`, `StringQuery`

public abstract class NosqlQuery extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `isCount`
  `protected Integer`
  `limit`
  `protected org.springframework.data.domain.Pageable`
  `pageable`
  `protected org.springframework.data.domain.Sort`
  `sort`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NosqlQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `generateSql(String tableName, Map<String,Object> params, String idPropertyName, NosqlPersistentEntity<?> entity)`
  `Integer`
  `getLimit()`
  `org.springframework.data.domain.Sort`
  `getSort()`
  `boolean`
  `isCount()`
  `NosqlQuery`
  `limit(Integer limit)`
  Limit the number of returned rows to `limit`.
  `NosqlQuery`
  `setCount(boolean isCount)`
  `NosqlQuery`
  `with(org.springframework.data.domain.Pageable pageable)`
  `NosqlQuery`
  `with(org.springframework.data.domain.Sort sort)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sort

    protected org.springframework.data.domain.Sort sort

  - ### pageable

    protected org.springframework.data.domain.Pageable pageable

  - ### limit

    protected Integer limit

  - ### isCount

    protected boolean isCount

- ## Constructor Details

  - ### NosqlQuery

    public NosqlQuery()

- ## Method Details

  - ### with

    public NosqlQuery with(org.springframework.data.domain.Sort sort)

  - ### with

    public NosqlQuery with(@NonNull org.springframework.data.domain.Pageable pageable)

  - ### limit

    public NosqlQuery limit(Integer limit)
    Limit the number of returned rows to `limit`. Null if no limit.

  - ### getLimit

    public Integer getLimit()

  - ### getSort

    public org.springframework.data.domain.Sort getSort()

  - ### generateSql

    public abstract String generateSql(String tableName, Map<String,Object> params, String idPropertyName, NosqlPersistentEntity<?> entity)

  - ### setCount

    public NosqlQuery setCount(boolean isCount)

  - ### isCount

    public boolean isCount()